List card transactions
curl --request GET \
--url https://cc.nadcab.com/api/v1/cards/transaction \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cc.nadcab.com/api/v1/cards/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cc.nadcab.com/api/v1/cards/transaction"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cc.nadcab.com/api/v1/cards/transaction",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": 200,
"msg": "success",
"data": {
"total": 8,
"per_page": 20,
"current_page": 1,
"last_page": 1,
"data": [
{
"finished_at": "2026-09-02 15:24:34",
"id": "17fbee23-36a8-4d77-80f7-5593df727fd1",
"transaction_time": "2024-08-22 12:11:37",
"client_transaction_id": "1f7e883e-12ed-4ad0-a725-069f730a5b9e",
"card_no": "4931930106108974",
"card_id": "CA2408221211158",
"amount": "12.00",
"currency": "USD",
"fee": "0.00",
"detail": "",
"order_currency": null,
"order_amount": null,
"status": "Closed",
"type": "Create",
"remark": ""
},
{
"finished_at": "2026-09-02 15:24:34",
"id": "32800340-6454-4195-b9bc-411f5dbbcd1b",
"transaction_time": "2024-08-22 16:43:05",
"client_transaction_id": "b07a66e0-ab1d-4c30-aeb5-dca924f4906f",
"card_no": "4931930103185462",
"card_id": "CA2408221643251",
"amount": "1.00",
"currency": "USD",
"fee": "0.00",
"detail": "",
"order_currency": null,
"order_amount": null,
"status": "Closed",
"type": "Create",
"remark": ""
},
{
"finished_at": "2026-09-02 15:24:34",
"id": "38254e80-cff5-4cb1-bab7-763f5ffabb80",
"transaction_time": "2024-08-22 12:02:34",
"client_transaction_id": "37e56e0c-b281-4950-82d6-07aaf6232dd3",
"card_no": "4931930101305625",
"card_id": "CA2408221202032",
"amount": "10.00",
"currency": "USD",
"fee": "0.00",
"detail": "",
"order_currency": null,
"order_amount": null,
"status": "Closed",
"type": "Create",
"remark": ""
},
{
"finished_at": "2026-09-02 15:24:34",
"id": "59c7bad8-580a-4fac-8fc4-628c86520027",
"transaction_time": "2024-08-22 14:08:19",
"client_transaction_id": "c4b2cb89-8867-4970-9db8-9eb637db72f9",
"card_no": "4931930106108974",
"card_id": "CA2408221211158",
"amount": "11.70",
"currency": "USD",
"fee": "0.00",
"detail": "",
"order_currency": null,
"order_amount": null,
"status": "Closed",
"type": "Destroy",
"remark": ""
},
{
"finished_at": "2026-09-02 15:24:34",
"id": "667f4971-07d3-4dfb-aa11-93fa8031911f",
"transaction_time": "2024-08-22 13:44:17",
"client_transaction_id": "1232123112",
"card_no": "4931930107327441",
"card_id": "CA2408221344684",
"amount": "1.00",
"currency": "USD",
"fee": "0.00",
"detail": "",
"order_currency": null,
"order_amount": null,
"status": "Closed",
"type": "Create",
"remark": ""
},
{
"finished_at": "2026-09-02 15:24:34",
"id": "9c0230e0-9552-4815-82cd-a979e8aacb82",
"transaction_time": "2024-08-22 14:07:05",
"client_transaction_id": "22babdb1-f7be-4aee-bac8-567ffc4b8fef",
"card_no": "4931930106108974",
"card_id": "CA2408221211158",
"amount": "0.10",
"currency": "USD",
"fee": "0.00",
"detail": "",
"order_currency": null,
"order_amount": null,
"status": "Closed",
"type": "TransferOut",
"remark": ""
}
]
}
}Cards
List card transactions
GET
/
cards
/
transaction
List card transactions
